﻿'use strict';
angular.module('mhzs.controllers')

.controller('AboutCtrl', function($scope, $ionicScrollDelegate, MhEnv, MhUtils, MhVer, MhAcc, MhProject, MhStep) {
	$scope.MhEnv = MhEnv;
	$scope.MhAcc = MhAcc;
	$scope.MhProject = MhProject;
	$scope.MhStep = MhStep;
	
	$scope.show_link = true;
	MhUtils.getAppInfo();
	MhUtils.getPlatform();
//console.log( MhUtils.appInfo );
	//$scope.appName = MhUtils.appInfo.
	
	$scope.show_ver = function() {
		MhVer.getTools().then(function() {
			//alert(window.Ver_Tools);
			if (window.Ver_Tools) {
				//window.Ver_Tools.check();
				Ver_Tools.getVer(function(ver) {
					if (Ver_Tools.isInAppPage()) {
						//ver.appver.version && ver.locver.version
						if (ver.appver.version && ver.locver.version) {
							if (Ver_Tools.verComp(ver.appver.version, ver.locver.version) < 0) {
								$scope.appVersion = ver.locver.version;
							} else {
								$scope.appVersion = ver.appver.version;
							}
						}
					} else {
						var ver0 = ver.appver;
						if (!_isInRemotePage && ver.locver.version && Ver_Tools.verComp(ver.appver.version, ver.locver.version) < 0) {
							ver0 = ver.locver;
						}
						if (_isInRemotePage  && ver.applocver.version && Ver_Tools.verComp(ver.appver.version, ver.applocver.version) < 0) {
							ver0 = ver.applocver;
						}
						$scope.appVersion = ver0.version;
						if (ver0.version && Ver_Tools.verComp(ver0.version, ver.netver.version) < 0) {
							//update from net
							//$scope.appVersion = ver.netver.version;
						} else {
							//redirect to relative index page
							//console.log('redirect to relative index page...');
							//location.href = 'index.html';
						}
					}
				});
			}
		});
	};
	
	if (MhUtils.platform.isAndroid) {
		$scope.appVersion = MhUtils.appInfo.version;
		
		MhVer.getTools().then(function() {
			//alert(window.Ver_Tools);
			if (window.Ver_Tools) {
				//window.Ver_Tools.check();
				Ver_Tools.getVer(function(ver) {
					if (Ver_Tools.isInAppPage()) {
						//ver.appver.version && ver.locver.version
						if (ver.appver.version && ver.locver.version) {
							if (Ver_Tools.verComp(ver.appver.version, ver.locver.version) < 0) {
								$scope.appVersion = ver.locver.version;
							} else {
								$scope.appVersion = ver.appver.version;
							}
						}
					} else {
						var ver0 = ver.appver;
						if (!_isInRemotePage && ver.locver.version && Ver_Tools.verComp(ver.appver.version, ver.locver.version) < 0) {
							ver0 = ver.locver;
						}
						if (_isInRemotePage  && ver.applocver.version && Ver_Tools.verComp(ver.appver.version, ver.applocver.version) < 0) {
							ver0 = ver.applocver;
						}
						$scope.appVersion = ver0.version;
						if (ver0.version && Ver_Tools.verComp(ver0.version, ver.netver.version) < 0) {
							//update from net
							//$scope.appVersion = ver.netver.version;
						} else {
							//redirect to relative index page
							//console.log('redirect to relative index page...');
							//location.href = 'index.html';
						}
					}
				});
			}
		});
	}
})

;
