﻿
angular.module('mhzs.services', [])

.factory('MhEnv', function($resource) {
	var _appPath = null, _appServer = null;
	function getAppServer() {
		if (!_appServer) {
			var s = location.protocol + '//' + location.host;
			_appServer = s;
		}
		return _appServer;
	}
	function getAppPath2() {
		var p = location.pathname;
		if (location.protocol == 'file:') {
			var k = '/www/';
			var p1 = p.indexOf(k);
			if (p1 == -1) {
				k = '/WebRoot/';
				p1 = p.indexOf(k);
			}
			if (p1 != -1) {
				p = p.substring(0, p1 + k.length);
				return p;
			}
		}
		
		var p1 = p.indexOf("/", 1);
		if (p1 == -1) p1 = p.length;
		p = p.substring(0, p1);
		return p;
	}
	function getAppPath() {
		if (_appPath == null) {
			_appPath = getAppPath2();
		}
		return _appPath;
	}
	
	function urlCut(url) {
		var url_server = getAppServer();
		var url_ap = getAppPath();
		if (url.indexOf(url_server + url_ap) == 0) {
			return url.substring(url_server.length + url_ap.length);
		}
		return url;
	}
	
	function urlFull(url) {
		var url_server = getAppServer();
		var url_ap = getAppPath();
		if (url.toLowerCase().indexOf('http://') == 0 || url.toLowerCase().indexOf('https://') == 0) {
			return url;
		} else {
			return url_server + url_ap + url;
		}
	}
	
	function param_get(para, qs0) {
		//var r = new Array();
		var qs = qs0;
		if (qs == null) qs = location.search;
		if (qs.indexOf("?") == 0) qs = qs.substring(1);
		if (qs == null || qs == "" || para == null || para == "") return null;
		var arr = qs.split("&");
		for (var i=0; i<arr.length; i++) {
			var kv = arr[i].split("=");
			if (kv[0] == para) {
				//r.push(kv[1]);
				return kv[1];
			}
		}
		//return r;
		return null;
	}

	return {
		//api: 'http://192.168.11.101:18080/decorate'		//后台api
		//api: 'http://10.1.1.86:18080/decorate'		//后台api	
		api: 'http://www.mohocn.com/decorate'		//后台api	
		, apiRemote: 'http://www.mohocn.com/decorate'	//后台api remote
		//, host: 'http://10.1.1.86:18080/decorate-app'
		, host: 'http://www.mohocn.com/decorate-app'		//前台remote	www.mohocn.com/decorate
		//api: 'http://127.0.0.1:18080/spring'
		, getAppServer: getAppServer
		, getAppPath: getAppPath
		, urlCut: urlCut
		, urlFull: urlFull
		, param_get: param_get
		, Default_Promise: {$promise: {then: function(callback) {callback && setTimeout(callback, 300);}}}
	};
})
;
