﻿angular.module('mhzs.services')

.factory('MhBudget', function($rootScope, $state, $stateParams, $q, MhEnv, MhUtils, MhAcc) {
  //var base_path = MhEnv.getAppPath();
	var cache = {};

	var list = function(args) {
		var deferred = $q.defer();
		var url = MhEnv.api + Const.Url_ListBudget;
		url = url.replace(/(\$\{id\})/, args.id);
		jQuery.ajax({
			type: 'GET'
			, url: url
			, timeout: Const.Http_Timeout
			, dataType: 'json'
			//, offline: true
			//, expires: 10000
			, data: {rnd: Math.random()}
			, success: function(r, status, requestCode,response, xhr) {
				//console.log('listBudget', r);
				MhAcc.checkLogin2({r: r, show_err: true, auto_redirect: true});
				if (args.callback) args.callback(r);
				deferred.resolve(r);
			}, error: function(xhr, errorType, error) {
				//alert('error');
				//alert(error + ':' + msg);
				//alert('获取预算信息出错！');
				MhUtils.toast({type: 'error', message: '获取预算信息出错！\n(' + MhEnv.api + Const.Url_ListBudget + ')\n' + error});
				deferred.reject(error);
			}
		});
		return deferred.promise;
	}
	
	var listItem = function(args) {
		var deferred = $q.defer();
		var url = MhEnv.api + Const.Url_ListBudgetItem;
		url = url.replace(/(\$\{budgetId\})/, args.budgetId);
		jQuery.ajax({
			type: 'GET'
			, url: url
			, timeout: Const.Http_Timeout
			, dataType: 'json'
			//, offline: true
			//, expires: 10000
			, data: {rnd: Math.random()}
			, success: function(r, status, requestCode,response, xhr) {
				MhAcc.checkLogin2({r: r, show_err: true, auto_redirect: true});
				if (args.callback) args.callback(r);
				deferred.resolve(r);
			}, error: function(xhr, errorType, error) {
				MhUtils.toast({type: 'error', message: '获取预算子项出错！\n(' + MhEnv.api + Const.Url_ListBudgetItem + ')\n' + error});
				deferred.reject(error);
			}
		});
		return deferred.promise;
	}
  
  return {
	cache: cache
	, list: list
	, listItem: listItem
  };
})
;
