﻿angular.module('mhzs.services')

.factory('MhTraceCal', function($rootScope, $state, $stateParams, $q, MhEnv, MhUtils) {
  //var base_path = MhEnv.getAppPath();
	var cache = {};

	function TraceCal() {
		this.today = new Date().format('yyyy-MM-dd').toDate();
		this.date = new Date().format('yyyy-MM-dd').toDate();
	}

	TraceCal.prototype = {
		getFullMonthStr: function(d) {
			return this.date.getFullYear() + '年' + (this.date.getMonth() + 1) + '月';
		}, getMaxDate: function(y,m) {
			var d2 = new Date(y, m+1, 0);
			//d2 = new Date(d2.getTime() - 24*3600*1000);
			return d2.getDate();
		}, isCurrentMonth: function() {
			var now = new Date();
			return this.date.getFullYear() == now.getFullYear() && this.date.getMonth() == now.getMonth();
		}, getDateStr: function(d) {
			return d.format('yyyy-MM-dd');
		}, show: function(selector) {
			var self = this;
			self.selector = selector;
			var jm = $('<div class="cal_month ub">'
				+ '<div class="cal_m_left">&lt;</div>'
				+ '<div class="cal_m">' + this.getFullMonthStr(this.date) + '</div>'
				+ '<div class="cal_m_right">&gt;</div>'
				+ '</div>');
			jm.find('.cal_m_left').on('click', function() {
				self.date.setMonth( self.date.getMonth() - 1 );
				self.show(selector);
			});
			jm.find('.cal_m_right').on('click', function() {
				self.date.setMonth( self.date.getMonth() + 1 );
				self.show(selector);
			});
			
			var jwtip = $('<div class="ub">'
				+ '<div class="cal_wtip cal_wtip_0">日</div>'
				+ '<div class="cal_wtip cal_wtip_1">一</div>'
				+ '<div class="cal_wtip cal_wtip_2">二</div>'
				+ '<div class="cal_wtip cal_wtip_3">三</div>'
				+ '<div class="cal_wtip cal_wtip_4">四</div>'
				+ '<div class="cal_wtip cal_wtip_5">五</div>'
				+ '<div class="cal_wtip cal_wtip_6">六</div>'
				+ '</div>');

			var c_y = this.date.getFullYear();
			var c_m = this.date.getMonth();
			//var c_d = 1;
			var d_max = this.getMaxDate(c_y, c_m);
			var d = new Date(c_y, c_m, 1, 0, 0, 0, 0);
			var c_w = d.getDay();
			var date0 = 1 - c_w;
			var d1 = new Date(c_y, c_m, d_max, 0, 0, 0, 0);
			c_w = d1.getDay();
			var date1 = d_max + 6 - c_w;
		
			var r = 0;
			var c_d = date0;
			c_w = 0;
			var jws = [];
			var jw = null;
			for (; c_d <= date1; c_d++) {
				var d = new Date(c_y, c_m, c_d);
				if (c_w == 0) {
					jw = $('<div class="cal_row ub"></div>');
				}
				if (c_d>0 && c_d <= d_max) {
					jw.append('<div id="date_' + this.getDateStr(d) + '" class="cal_w cal_w_' + c_w + '">' + c_d + '</div>');
				} else {
					jw.append('<div class="cal_w cal_w_' + c_w + '"> </div>');
				}
				if (c_w == 6) {
					jws.push(jw);
					r++;
				}
				c_w = (c_w+1) % 7;
			}

			$(selector).empty().append(jm).append(jwtip);
			for (var i=0; i<jws.length; i++) {
				$(selector).append( jws[i] );
			}

			$('#date_' + this.getDateStr(new Date())).css({'color': '#0000ff', 'font-weight': 'bold'});
			var jmm = $(selector).find('.cal_month .cal_m');
			jmm.width( jmm.width() + 8 );
			
			//find trace clock in db
			
		}
	};
  
  return {
	cache: cache
	, TraceCal: TraceCal
  };
})
;
