﻿'use strict';
angular.module('mhzs.controllers')

.controller('RepwdCtrl', function($scope, $rootScope, $state, MhEnv, MhUtils, MhAcc) {
	$scope.MhAcc = MhAcc;
	$scope.MhEnv = MhEnv;

	var cache = $scope.cache = {
		regDisable: true
	};

	function getContentElement(eve) {
		var target = $(eve.target).parents('.scroll-content:first');
		return target.length ? target[0] : null;
	}

	var ContentEle = null;

	$scope.on_keyup = function() {
		ContentEle = getContentElement(event);
		var ele = angular.element(event.target);
		//console.log( angular.element(event.target).attr('name') );
		if ($scope.validData(true)) {
			cache.regDisable = false;
		} else {
			cache.regDisable = true;
		}
	}

	$scope.repwd = function() {
		ContentEle = getContentElement(event);
		cache.regDisable = true;
		var pwd0 = angular.element(document.getElementById('rp_pwd0')).val();
		var pwd1 = angular.element(document.getElementById('rp_pwd1')).val();
		var pwd2 = angular.element(document.getElementById('rp_pwd2')).val();
		MhAcc.repwd({pwd0: pwd0, pwd1: pwd1, pwd2: pwd2}).then(function(r) {
			setTimeout(function() {
				cache.regDisable = false;
				$scope.$apply("");
				if (r.err != null) {
					MhUtils.toast({message: r.err, type: 'error', target: ContentEle, duration: 'short' });
				} else {
					//window.plugins.toast.show(r.msg, 'short', 'bottom');
					MhUtils.toast({message: r.msg, type: 'success', target: ContentEle, duration: 'short' });
				}
			}, 50);
		});
		//setTimeout(function() {cache.regDisable = false;$scope.$apply("");}, 5000);
	}

	$scope.validData = function(showmsg) {
		var pwd0 = angular.element(document.getElementById('rp_pwd0')).val();
		var pwd1 = angular.element(document.getElementById('rp_pwd1')).val();
		var pwd2 = angular.element(document.getElementById('rp_pwd2')).val();
		if (pwd0 ==null ||pwd0 == '') {
			if (showmsg) MhUtils.toast({message: '原密码不能为空！', type: 'error', target: ContentEle, duration: 'short' });
			return false;
		}
		if (pwd1.length < 6) {
			if (showmsg) MhUtils.toast({message: '用户密码至少6个字符！', type: 'error', target: ContentEle, duration: 'short' });
			return false;
		}
		if (pwd1 != pwd2) {
			if (showmsg) MhUtils.toast({message: '两次输入的密码不一致！', type: 'error', target: ContentEle, duration: 'short' });
			return false;
		}
		if (showmsg) MhUtils.toast({message: '数据验证通过！', type: 'success', target: ContentEle, duration: 'short' });
		return true;
	}


});

