﻿angular.module('mhzs.controllers')

.run(function(MhUtils) {
	function on_imgview_in(event, toState, toParams, fromState, fromParams) {
		MhUtils.cache.Event_StateChangeStart_Cache.fromState = { name: fromState.name, params: angular.extend({}, fromParams) };
	}
	
	function on_imgview_out(event, toState, toParams, fromState, fromParams) {
		MhUtils.cache.Event_StateChangeStart_Cache.toState = { name: toState.name, params: angular.extend({}, toParams) };
	}
	
	MhUtils.stateChangeStartReg('===>imgview', null, on_imgview_in, 1);
	MhUtils.stateChangeStartReg('imgview===>', null, on_imgview_out, 1);
})

.controller('LeftCtrl', function($scope, $rootScope, $state, MhEnv, MhUtils, MhAcc, MhProject) {
	$scope.MhProject = MhProject;

})

.controller('ImgviewCtrl', function($scope, $stateParams, $rootScope, $state, $ionicSlideBoxDelegate, $ionicGesture, MhEnv, MhUtils, MhAcc, MhAtt, MhStep) {
	$scope.MhEnv = MhEnv;
	$scope.MhUtils = MhUtils;
	$scope.MhAtt = MhAtt;
	$scope.MhStep = MhStep;

	var cache = $scope.cache = {showTip: false, viewId: $stateParams.viewId, attId: $stateParams.attId};
	$scope.viewData = MhAtt.viewData($scope.cache.viewId);
//console.log('aaaaaaaaaaaaaaaa', $scope.viewData.list);	
	for (var i=0; i<$scope.viewData.list.length; i++) {
		var attId = $scope.viewData.list[i];
		//var att = MhAtt.cache.files[attId];
		//if (!att) {
		//	att_info({id: attId});
		//}
		MhAtt.showImage({id: attId, full: 1})
	}
	
	//$ionicSlideBoxDelegate.slide();
	$scope.imgIndex = $scope.viewData.list.indexOf(cache.attId);
	
	$scope.viewData2 = [parseInt(cache.attId)];
	var tmpIndex = ($scope.imgIndex+1) % $scope.viewData.list.length;
	$scope.viewData2.push( $scope.viewData.list[tmpIndex] );
	var tmpIndex = ($scope.imgIndex-1+$scope.viewData.list.length) % $scope.viewData.list.length;
	$scope.viewData2.push( $scope.viewData.list[tmpIndex] );
	
	//console.log( 'viewData2', $scope.viewData2 );
	
	$scope.on_slide_change = function(index) {
		//console.log('on_slide_change', index);
		//console.log(event);
		var jv = $(".img-view[nav-view='active']");
		//var jvslider = jv.find('.slider-slides .slider-slide');
		var jvimg = jv.find('.slider-slides .slider-slide .img');
		var attId = parseInt(jvimg.eq(index).attr('attId'));
		var tmpIndex = $scope.imgIndex = $scope.viewData.list.indexOf(attId);

		var tmpIndex_prev = (tmpIndex -1 + $scope.viewData.list.length) % $scope.viewData.list.length;
		var tmpIndex_next = (tmpIndex +1 + $scope.viewData.list.length) % $scope.viewData.list.length;

		var attId_prev = $scope.viewData.list[ tmpIndex_prev ];
		var att_prev = MhAtt.cache.files[attId_prev];
		var url_prev = att_prev.url_local || att_prev.url_remote;
		var attId_next = $scope.viewData.list[ tmpIndex_next ];
		var att_next = MhAtt.cache.files[attId_next];
		var url_next = att_next.url_local || att_next.url_remote;

		if (index == 0) {			
			jvimg.eq(2).attr('attId', attId_prev).css('background-image', 'url('+url_prev+')');
			jvimg.eq(1).attr('attId', attId_next).css('background-image', 'url('+url_next+')');
		} else if (index == 2) {
			jvimg.eq(1).attr('attId', attId_prev).css('background-image', 'url('+url_prev+')');
			jvimg.eq(0).attr('attId', attId_next).css('background-image', 'url('+url_next+')');
			//jvimg.eq(0).css('background-image', 'url('+url+')');
		} else {
			jvimg.eq(0).attr('attId', attId_prev).css('background-image', 'url('+url_prev+')');
			jvimg.eq(2).attr('attId', attId_next).css('background-image', 'url('+url_next+')');
		}
/*
		var tmpIndex = $scope.imgIndex-1;
		for (var i=0; i<3; i++) {
			if (tmpIndex < 0) {
				tmpIndex = $scope.viewData.list.length-1;
			} else if (tmpIndex >= $scope.viewData.list.length ) {
				tmpIndex = 0;
			}
			//$scope.viewData2.push( tmpIndex+0 );
			//$scope.viewData2[i] = $scope.viewData.list[tmpIndex];
			
			var attId = $scope.viewData.list[tmpIndex];
			var att = MhAtt.cache.files[attId];
			var url = att.url_local || att.url_remote;
			//console.log('aaaaaaaaaaaa', attId, att, url);
			//console.log( jvimg.eq(i)[0].outerHTML );
			jvimg.eq(i).css('background-image', 'url('+url+')');
			//console.log( jvimg.eq(i)[0].outerHTML );
			//console.log('aaaaaaaaaaaa', attId, url);
			tmpIndex++;
		}
*/		
		//$ionicSlideBoxDelegate.update();
		//console.log( 'viewData2', $scope.viewData2 );
	}
	
	$scope.slide_click = function() {
		cache.showTip = !cache.showTip;
	};
	
    $scope.back = function($ionicGoBack, $event) {
		var state0 = MhUtils.cache.Event_StateChangeStart_Cache.fromState;
		if (state0) {
			//console.log('----------- go state...');
			setTimeout(function() {
				$state.go(state0.name, state0.params);
			}, 0);
		} else {
			$ionicGoBack();
			//$event.preventDefault();
			event.preventDefault();
		}
    };
	
	$scope.share = function() {
		//var img = This.getData(This._active);
		//alert(img.image);
		//window.plugins.socialsharing.share('装修秀出来！', '麦禾装饰', img.image);
		var attId = $scope.viewData.list[$scope.imgIndex];
		MhUtils.share(20, null, '装修秀出来！', '麦禾装饰', [MhAtt.url({id: attId, full: 1})]);
	};
	
	//console.log('viewData', cache.viewId, $scope.viewData);
	
	//Galleria.run('#galleria', {show: false});
	function init_size(_args) {
		var args = $.extend({timeout: 3000}, _args);
		var jv = $(".img-view[nav-view='active'] .imgview-cont");
		if (jv.length==0 || jv.width() < 300 ||  jv.height() < 200) {
			if (args.timeout > 100) {
				setTimeout(function() {
					args.timeout -= 100;
					init_size(args);
				}, 100);
			} else {
				//alert( 'jv.length=' + jv.length + ' w=' + jv.width() + ' h=' + jv.height() );
			}
		} else {
			jv.find('.box .img').each(function() {
				var jimg = $(this);
				var jbox = jimg.parents('.imgview-cont:first');
				//alert(jbox.height());
				//jimg.width(jbox.width()).height(jbox.height());
				cache.width = jbox.width();
				cache.height = jbox.height();
				var id = parseInt( jimg.attr('attId') );
				MhAtt.showImage({dom: jimg[0], id: id, full: 1}).then(function(r) {
					if (r && r.att) {
						
					}
				});
			});
		}
	}
	setTimeout(init_size, 0);
	window.onorientationchange = window.onresize = init_size;
	

	
	//$scope.$watch('viewData.list', function(val0, val1) {
		//console.log('watch....', val0, val1);
	//	init_size();
	//});
})
;
