﻿'use strict';
angular.module('mhzs.controllers')


.run(function(MhEnv, MhUtils, MhVer, MhAcc, MhProject, MhCheck) {
	MhVer.getTools().then(function() {
		//alert(window.Ver_Tools);
		if (window.Ver_Tools && window.Ver_Tools.task) {
			window.Ver_Tools.task();
		}
	});
	
	
	function load_data() {
		//MhAcc.user0().then(function() {
		//});
		MhProject.project_my().then(function(r) {
			//console.log(r);
			var prjId = MhProject.cache.currentId;
			var stepId = MhProject.cache.currentStepId;
			var materialId = MhProject.cache.currentMaterialId;
			var checkId = MhProject.cache.currentCheckId;
			var checkItemId = MhProject.cache.currentCheckItemId;
			if (r.listMap && r.listMap.length) {
				if (!prjId || r.listMap.indexOf(prjId, 'id') == -1) {
					prjId = MhProject.cache.currentId = r.listMap[0].id;
				}
				MhProject.project_get( prjId ).then(function(r2) {
					console.log('prj', r2);
					MhProject.cache.currentPrj = r2;
					console.log('aaaaaaaaaa', r2.model.addr);
					if ((!stepId || r2.listStep.indexOf(stepId, 'id') == -1) && r2.listStep && r2.listStep.length) {
						stepId = MhProject.cache.currentStepId = r2.listStep[0].id
					}
					if ((!materialId || r2.listMaterialGroup.indexOf(materialId, 'id') == -1) && r2.listMaterialGroup && r2.listMaterialGroup.length) {
						materialId = MhProject.cache.currentMaterialId = r2.listMaterialGroup[0].id
					}
					if ((!checkId || r2.listCheck.indexOf(checkId, 'id') == -1) && r2.listCheck && r2.listCheck.length) {
						checkId = MhProject.cache.currentCheckId = r2.listCheck[0].id
					}
					var listCheckItem = MhCheck.listItem({checkId: checkId, allItem: r2.listCheckItem});
					if ((!checkItemId || listCheckItem.indexOf(checkItemId, 'id') == -1) && listCheckItem && listCheckItem.length) {
						checkItemId = MhProject.cache.currentCheckItemId = listCheckItem[0].id
					}
					console.log('stepId...', MhProject.cache.currentStepId, 'materialId', materialId, 'checkId', checkId);
				}, function() {});
			}
		}, function() {});
	}
	
	function on_enter() {
		MhAcc.checkLogin(true, -1).then(function(r) {
			//console.log('ooooooooooo', r, MhAcc.cache.token);		
			if (MhAcc.cache.authFlag) {
				load_data();
			}
			//if (r.state == 1) $scope.load_detail();
			//alert('kkkkkkkk');
			//load my projects
		}, function(reason) {
			//error
		});
	}

	MhUtils.stateChangeStartReg('===>main', null, on_enter, 1);
	
})

.controller('MainCtrl', function($scope, $rootScope, $state, MhEnv, MhUtils, MhPopover, MhAcc, MhProject, MhStep) {
	$scope.MhEnv = MhEnv;
	$scope.MhProject = MhProject;
	$scope.MhStep = MhStep;
	$scope.MhAcc = MhAcc;
	$scope.MhPopover = MhPopover;
	MhAcc.user_name = localStorage['user_name'];// ? localStorage['user_name'] + '' : '';

	MhPopover.init($scope, '0');

});

