﻿angular.module('mhzs.controllers')

.run(function(MhUtils) {
	function on_imgview_in(event, toState, toParams, fromState, fromParams) {
		MhUtils.cache.Event_StateChangeStart_Cache.fromState = { name: fromState.name, params: angular.extend({}, fromParams) };
	}
	
	function on_imgview_out(event, toState, toParams, fromState, fromParams) {
		MhUtils.cache.Event_StateChangeStart_Cache.toState = { name: toState.name, params: angular.extend({}, toParams) };
	}
	
	MhUtils.stateChangeStartReg('===>imgview', null, on_imgview_in, 1);
	MhUtils.stateChangeStartReg('imgview===>', null, on_imgview_out, 1);
})

.controller('LeftCtrl', function($scope, $rootScope, $state, MhEnv, MhUtils, MhAcc, MhProject) {
	$scope.MhProject = MhProject;

})

.controller('ImgviewCtrl', function($scope, $stateParams, $rootScope, $state, $ionicSlideBoxDelegate, $ionicGesture, MhEnv, MhUtils, MhAcc, MhAtt, MhStep) {
	$scope.MhEnv = MhEnv;
	$scope.MhUtils = MhUtils;
	$scope.MhAtt = MhAtt;
	$scope.MhStep = MhStep;
	
	var cache = $scope.cache = {showTip: false, viewId: $stateParams.viewId, attId: $stateParams.attId};
	$scope.viewData = MhAtt.viewData($scope.cache.viewId);
	
	//$ionicSlideBoxDelegate.slide();
	$scope.imgIndex = $scope.viewData.list.indexOf(cache.attId);
	
	$scope.slide_click = function() {
		cache.showTip = !cache.showTip;
	};
	
    $scope.back = function($ionicGoBack, $event) {
		var state0 = MhUtils.cache.Event_StateChangeStart_Cache.fromState;
		if (state0) {
			//console.log('----------- go state...');
			setTimeout(function() {
				$state.go(state0.name, state0.params);
			}, 0);
		} else {
			$ionicGoBack();
			//$event.preventDefault();
			event.preventDefault();
		}
    };
	
	$scope.share = function() {
		//var img = This.getData(This._active);
		//alert(img.image);
		//window.plugins.socialsharing.share('装修秀出来！', '麦禾装饰', img.image);
		var attId = $scope.viewData.list[$scope.imgIndex];
		MhUtils.share(20, null, '装修秀出来！', '麦禾装饰', [MhAtt.url({id: attId, full: 1})]);
	};
	
	console.log('viewData', cache.viewId, $scope.viewData);
	
	//Galleria.run('#galleria', {show: false});
	function init_size(_args) {
		var args = $.extend({timeout: 3000}, _args);
		var jv = $(".img-view[nav-view='active'] .imgview-cont");
		if (jv.length==0 || jv.width() < 300 ||  jv.height() < 200) {
			if (args.timeout > 100) {
				setTimeout(function() {
					args.timeout -= 100;
					init_size(args);
				}, 100);
			} else {
				//alert( 'jv.length=' + jv.length + ' w=' + jv.width() + ' h=' + jv.height() );
			}
		} else {
			$('.imgview-cont .box .img').each(function() {
				var jimg = $(this);
				var jbox = jimg.parents('.imgview-cont:first');
				//alert(jbox.height());
				//jimg.width(jbox.width()).height(jbox.height());
				cache.width = jbox.width();
				cache.height = jbox.height();
				var id = parseInt( jimg.attr('attId') );
				MhAtt.showImage({dom: jimg[0], id: id, full: 1}).then(function(r) {
					if (r && r.att) {
						
					}
				});
			});
		}
	}
	setTimeout(init_size, 0);
	window.onorientationchange = window.onresize = init_size;
	

	
	//$scope.$watch('viewData.list', function(val0, val1) {
		//console.log('watch....', val0, val1);
	//	init_size();
	//});
})
;
