﻿'use strict';
angular.module('mhzs.controllers')

.controller('Repwd2Ctrl', function($scope, $rootScope, $state, MhEnv, MhUtils, MhAcc) {
	$scope.MhAcc = MhAcc;
	$scope.MhEnv = MhEnv;

	var cache = $scope.cache = {
		getCodeDisable: false
		, getCodeBtnText: "获取验证码"
		, regDisable: true
	};

	function getContentElement(eve) {
		var target = $(eve.target).parents('.scroll-content:first');
		return target.length ? target[0] : null;
	}

	var Timeout_Init = 60;
	var waitTime4Code_timer = null;
	var waitTime4Code_timeout = Timeout_Init;
	var ContentEle = null;
	function waitTime4Code() {
		if (waitTime4Code_timeout <= 0) {
			cache.getCodeBtnText = "获取验证码";
			cache.getCodeDisable = false;
			waitTime4Code_timeout = Timeout_Init;
		} else {
			cache.getCodeBtnText = "(" + waitTime4Code_timeout + ")秒后重新获取";
			waitTime4Code_timeout--;
			waitTime4Code_timer = setTimeout(function() {
				waitTime4Code();
				$scope.$apply("");
			}, 1000)
		}
	}

	$scope.getCode = function() {
		ContentEle = getContentElement(event);
		cache.getCodeDisable = true;
		if (!$scope.validData(1, true)) {
			cache.getCodeDisable = false;
		} else {
			waitTime4Code_timeout = Timeout_Init;
			waitTime4Code();
			var reg_seq = $scope.codeSeq = parseInt(Math.random() * 1000);
			MhAcc.getVerifyCode({phone: MhAcc.user_name, seq: reg_seq, m: null, acc: 1}).then(function(code) {
				var r = JSON.parse(code);
				if (!r || !r.err) {
					MhUtils.toast({message: '系统繁忙！', type: 'error', target: ContentEle, duration: 'short' });
				} else if (r.err == -1) {
					MhUtils.toast({message: '帐号或手机号不存在！', type: 'error', target: ContentEle, duration: 'short' });
				} else if (r.err != 1) {
					MhUtils.toast({message: '系统繁忙！', type: 'error', target: ContentEle, duration: 'short' });
				} else if (r.err == 1) {
					setTimeout(function() {
						MhUtils.toast({message: '短信发送成功！', type: 'success', target: ContentEle, duration: 'short' });
					}, 2000);
				}
				/*
				if (r.state == 1) {
					MhAcc.cache.rp_codeOrder = r.codeOrder;
				} else {
					if (waitTime4Code_timer) {
						clearTimeout(waitTime4Code_timer);
					}
					//waitTime4Code_timeout = 0;
					//cache.getCodeBtnText = "获取验证码";
					//cache.getCodeDisable = false;
					if (r.state == 0) {
						MhUtils.toast({message: '请不要频繁发送验证码！', type: 'error', target: ContentEle, duration: 'short' });
					} else if (r.state == 2) {
						MhUtils.toast({message: '手机号码已注册！', type: 'error', target: ContentEle, duration: 'short' });
					} else {
						MhUtils.toast({message: r.state, type: 'error', target: ContentEle, duration: 'short' });
					}
				}
				*/
			});
		}
	}

	$scope.on_keyup = function() {
		ContentEle = getContentElement(event);
		var ele = angular.element(event.target);
		//console.log( angular.element(event.target).attr('name') );
		if ($scope.validData(2, true)) {
			cache.regDisable = false;
		} else {
			cache.regDisable = true;
		}
	}

	$scope.repwd2 = function() {
		ContentEle = getContentElement(event);
		cache.regDisable = true;
		var _mobile = $(ContentEle).find("[name='rp_mobile']").val();
		var _code = $(ContentEle).find("[name='rp_code']").val();
		var _pwd1 = $(ContentEle).find("[name='rp_pwd1']").val();
		MhAcc.repwd2({d: null, mobile: _mobile, vcode: _code, password: _pwd1}).then(function(r) {
			if (r.err == 1) {
				MhUtils.toast({message: '验证码不正确！', type: 'error', target: ContentEle, duration: 'short' });
			//} else if (r.err == 2) {
			//	window.plugins.toast.show('无效的姓名！', 'short', 'center');
			} else if (r.err == 3) {
				MhUtils.toast({message: '无效的密码！', type: 'error', target: ContentEle, duration: 'short' });
			} else if (r.err == 4) {
				//window.plugins.toast.show('无效的手机号码！', 'short', 'center');
				MhUtils.toast({message: '无效的手机号码！', type: 'error', target: ContentEle, duration: 'short' });
			} else if (r.err == 10) {
				//window.plugins.toast.show('指定的手机号码未注册！', 'short', 'center');
				MhUtils.toast({message: '指定的手机号码未注册！', type: 'error', target: ContentEle, duration: 'short' });
			} else if (r.err != 0) {
				//window.plugins.toast.show('未知错误！', 'short', 'center');
				MhUtils.toast({message: '未知错误！', type: 'error', target: ContentEle, duration: 'short' });
			} else {
				MhUtils.toast({message: '密码重置成功，请登录！', type: 'success', target: ContentEle, duration: 'short' });
				//window.plugins.toast.show('密码重置成功，请登录！', 'short', 'center');
				setTimeout(function() {
					//appcan.window.open({ name:'login', data:'login.html', aniId:2 });
					//jQuery.mobile.changePage('#login-page');
					//$state.go('login');
					MhAcc.logout(true);
				}, 2000);
				
			}
		/*
			setTimeout(function() {
				cache.regDisable = false;
				$scope.$apply("");
				if (r.err != null) {
					MhUtils.toast({message: r.err, type: 'error', target: ContentEle, duration: 'short' });
				} else {
					//window.plugins.toast.show(r.msg, 'short', 'bottom');
					MhUtils.toast({message: r.msg, type: 'success', target: ContentEle, duration: 'short' });
				}
			}, 50);
			*/
		});
		//setTimeout(function() {cache.regDisable = false;$scope.$apply("");}, 5000);
	}

	$scope.validData = function(type, showmsg) {
		var user_name = MhAcc.user_name;
		if (type == 1) {
			if (user_name ==null ||user_name == '') {
				if (showmsg) MhUtils.toast({message: '帐号或手机号不能为空！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			return true;
		} else if (type == 2) {
			if (user_name ==null ||user_name == '') {
				if (showmsg) MhUtils.toast({message: '帐号或手机号不能为空！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			var codeOrder = $scope.codeSeq;

			if (codeOrder ==null ||codeOrder == '') {
				if (showmsg) MhUtils.toast({message: '请先发送验证码！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			//if (codeOrder.length!=3) {
			//	if (showmsg) MhUtils.toast({message: '请先发送验证码！', type: 'error', target: ContentEle, duration: 'short' });
			//	return false;
			//}
			var code = MhAcc.cache.rp_code;
			if (code ==null ||code == '') {
				if (showmsg) MhUtils.toast({message: '验证码不能为空！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			if (code.length!=6) {
				if (showmsg) MhUtils.toast({message: '手机验证码为6位数字！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
		
			var pwd1 = angular.element(document.getElementById('rp_pwd1')).val();
			var pwd2 = angular.element(document.getElementById('rp_pwd2')).val();

			if (pwd1.length < 6) {
				if (showmsg) MhUtils.toast({message: '用户密码至少6个字符！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			if (pwd1 != pwd2) {
				if (showmsg) MhUtils.toast({message: '两次输入的密码不一致！', type: 'error', target: ContentEle, duration: 'short' });
				return false;
			}
			if (showmsg) MhUtils.toast({message: '数据验证通过！', type: 'success', target: ContentEle, duration: 'short' });
			return true;
		}
	}


});

