﻿'use strict';
angular.module('mhzs.controllers')

.run(function($rootScope, $state, $view, MhUtils, MhVer, MhAcc, MhProject, MhCheck) {

})

.controller('CheckCtrl', function($scope, $state, $stateParams, $ionicScrollDelegate, MhEnv, MhUtils, MhVer, MhProject, MhStep, MhCheck) {
	$scope.MhEnv = MhEnv;
	$scope.MhProject = MhProject;
	$scope.MhStep = MhStep;
	$scope.MhCheck = MhCheck;
	
	var cache = $scope.cache = {prjId: MhProject.cache.currentId
		, checkId: $stateParams.checkId
	};	//var line_id = $stateParams.lineId;
	
	cache.check = MhCheck.getCheck(cache.prjId, cache.checkId);

	$scope.filter_checkId = function(e) {
		return e.checkId == $scope.cache.checkId;
	}
	
	function on_check_in(event, toState, toParams, fromState, fromParams) {
		var check = MhCheck.getCheck(MhProject.cache.currentId, toParams.checkId);
		if (!check) {
			event.preventDefault();
			$state.go('tab.checks', {}, {reload: true });
		}
	}

	MhUtils.stateChangeStartReg('===>tab.check', null, on_check_in, 1);
})

;
