﻿'use strict';
angular.module('mhzs.controllers')

.controller('TraceCtrl', function($scope, $ionicScrollDelegate, MhEnv, MhVer, MhProject, MhStep, MhTraceCal) {
	$scope.MhEnv = MhEnv;
	$scope.MhProject = MhProject;
	$scope.MhStep = MhStep;
	$scope.MhTraceCal = MhTraceCal;
	
	var cache = {tc: null};
	
	function refresh() {
		var tc = cache.tc;
		var at_prj_addr = localStorage['at_prj_addr'];
		at_prj_addr = at_prj_addr != undefined && at_prj_addr != null ? parseFloat(at_prj_addr) : 999999;
		
		var at_prj_clock = localStorage['at_prj_clock'];
		var clock = at_prj_clock == undefined || at_prj_clock == null ? null : JSON.parse( at_prj_clock );
		if (clock != null) {
			var percent = Math.min(100, clock.minutes / 240 * 100);
			if (at_prj_addr < MapTools.Away_Max) {
				$('.trace_atprj').css('background-size', percent + '% 100%').html('正在打卡' + '.'.repeat(args.refresh) + '&nbsp;'.repeat(3-args.refresh));
			} else {
				$('.trace_atprj').css('background-size', percent + '% 100%').html('距离项目地' + at_prj_addr.toFixed() + "米");
			}
		}
		
		try {
			var ym = tc.getDateStr(tc.date).substring(0, 7);
			db = appcan.dbtools({db_name: 'zmj'});
			db.open({success: function(opt) {	//{args: args, err:err, data: data, dataType: dataType, optId: optId}
				db.select({sql: "select * from clock where time like '" + ym + "%' order by time"
					, success: function(opt) {
						var data = JSON.parse(opt.data);
						for (var i=0; i<data.length; i++) {
							var percent = Math.min(100, data[i].minutes / 240 * 100);
							$('#date_' + data[i].time).css('background-size', '100% ' + percent + '%');
						}
					}
					, error: function(opt) {/*alert('select table trace err'); */ }
				});
			}});
		} catch (e) {
			//alert(e);
		}
		args.refresh = (args.refresh + 1) % 4;
		if (!$('#trace-page').is(':hidden')) {
			setTimeout(refresh, 1000);
		}
	}
	
	function init() {
		//user = mhapp.cache.user;
		$('.trace_date').html( new Date().format('yyyy-MM-dd') );
		cache.tc = new MhTraceCal.TraceCal();
		cache.tc.show('#trace_cal');
		//refresh();
	}
	
	init();
})

;
