﻿angular.module('mhzs.services')

.factory('MhGps', function($rootScope, $state, $stateParams, $q, MhEnv, MhUtils) {
  //var base_path = MhEnv.getAppPath();
	var cache = {};

	var step = function(prjId, id) {
		var deferred = $q.defer();
		var url = MhEnv.api + Const.Url_Step;
		url = url.replace(/(\$\{id\})/, id)
			.replace(/(\$\{prjId\})/, prjId)
		;
		jQuery.ajax({
			type: 'GET'
			, url: url
			, timeout: Const.Http_Timeout
			, dataType: 'json'
			//, offline: true
			//, expires: 10000
			, data: {rnd: Math.random()}
			, success: function(r, status, requestCode,response, xhr) {
				//if (args.callback) args.callback(r);
				deferred.resolve(r);
			}, error: function(xhr, errorType, error) {
				//alert('error');
				//alert(error + ':' + msg);
				//alert('获取进度信息出错！');
				MhUtils.toast({type: 'error', message: '获取进度信息出错！\n(' + MhEnv.api + Const.Url_Step + ')\n' + msg});
				deferred.reject(error);
			}
		});
		return deferred.promise;
	}
	
  
  return {
	cache: cache
	, step: step
  };
})
;
