﻿angular.module('mhzs.services')

.factory('MhPay', function($rootScope, $state, $stateParams, $q, MhEnv, MhUtils, MhAcc) {
  //var base_path = MhEnv.getAppPath();
	var cache = {};

	var list = function(args) {
		var deferred = $q.defer();
		var url = MhEnv.api + Const.Url_ListPay;
		url = url.replace(/(\$\{id\})/, args.id);
		jQuery.ajax({
			type: 'GET'
			, url: url
			, timeout: Const.Http_Timeout
			, dataType: 'json'
			//, offline: true
			//, expires: 10000
			, data: {rnd: Math.random()}
			, success: function(r, status, requestCode,response, xhr) {
				MhAcc.checkLogin2({r: r, show_err: true, auto_redirect: true});
				if (args.callback) args.callback(r);
				deferred.resolve(r);
			}, error: function(xhr, errorType, error) {
				MhUtils.toast({type: 'error', message: '获取支付记录出错！\n(' + MhEnv.api + Const.Url_Step + ')\n' + error});
				deferred.reject(error);
			}
		});
		return deferred.promise;
	}
	
  
  return {
	cache: cache
	, list: list
  };
})
;
