﻿angular.module('mhzs.services')

.factory('MhVer', function($resource, $q, MhEnv) {
	var cache = {};

  /** VerTools */
	function getTools() {
		var deferred = $q.defer();
		if (window.Ver_Tools) {
			deferred.resolve(window.Ver_Tools);
		} else {
			$.getScript(MhEnv.api + '/m/ver/ver.js?rnd=' + Math.random(), function() {
				deferred.resolve(window.Ver_Tools);
			});
		}
		return deferred.promise;
	}
	
	

	return {
		cache: cache
		, getTools: getTools

	};
})
;
